Subject: Re: bug#60782: Channels and dependency confusion

From: david larsson <[email-masked]>
Date: Mon, 16 Jan 2023 20:49:40 +0100

On 2023-01-13 14:48, Ludovic Courtès wrote:
[..]
> 
> I think it would be best to error out if multiple channels provide
> same-named files.
> 
> Thoughts?

An option to erroring out: how about make it a feature to be able to 
specify precedence-order, say in the .guix-channel file. For example, 
that might make it easier to customize files present in guix master by 
copying them and making modifications. A custom channel might also want 
to specify the option to disallow a dependent channel to take any 
precedence.

Best regards,
David